#include "DxLib.h"
#include "Stage.h"
#include "CommonDefine.h"

static int Stagehandle;
static int Stagehandle2;
static int StageOpacity;
static VECTOR StagePosition;

void Load_StageDate(){
	Stagehandle = MV1LoadModel( "Stage/01.mqo" ) ;
	Stagehandle2 = MV1LoadModel( "Stage/02.mqo" ) ;
	MV1SetOpacityRate( Stagehandle, STAGE_OPACITYRATE ) ;
	StagePosition	=	VGet(0.0f,0.0f,0.0f);
	MV1SetPosition(Stagehandle,StagePosition);
	MV1SetPosition(Stagehandle2,StagePosition);
}

void Stage_Process(){
	MV1DrawModel(Stagehandle);
	MV1DrawModel(Stagehandle2);
}

void Stage_End(){
	MV1DeleteModel(Stagehandle);
	MV1DeleteModel(Stagehandle);
}